CLASS TEM(3)

NAME
boost::exponential_distribution

SYNOPSIS

// In header: <boost/random/exponential_distribution.hpp>
template<typename RealType = double>
class exponential_distribution {
public:
  // types
  typedef RealType input_type;
  typedef RealType result_type;
  // construct/copy/destruct
  exponential_distribution(result_type = result_type(1));
  // public member functions
  result_type lambda() const;
  void reset();
  template<typename Engine> result_type operator()(Engine &);
};

DESCRIPTION

The exponential distribution has a single parameter lambda.

It has [1][IMAGE][2] [$p(x) = e^{- x}$]

  exponential_distribution public construct/copy/destruct

    1.

    exponential_distribution(result_type lambda_arg = result_type(1));

  exponential_distribution public member functions

    1.

    result_type lambda() const;

    2.

    void reset();

    3.

    template<typename Engine> result_type operator()(Engine & eng);